# UploadStickerFile - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.stickers / UploadStickerFile

# UploadStickerFile

(common) `data class UploadStickerFile : MultipartRequest<File>` (source)

### Constructors

(common)

#### <init>

`UploadStickerFile(userId: UserId, sticker: MultipartFile = throw IllegalStateException("Detected autocreating try: this class can't be deserialized"))`

### Properties

(common)

#### mediaMap

`val mediaMap: Map<String, MultipartFile>`

(common)

#### paramsJson

`val paramsJson: JsonObject`

(common)

#### resultDeserializer

`val resultDeserializer: DeserializationStrategy<File>`

(common)

#### sticker

`val sticker: MultipartFile`

(common)

#### userId

`val userId: UserId`

### Functions

(common)

#### method

`fun method(): String`